# ApiExternalAccount

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | Represents the intial name of the account; used to uniquely identify this account. |  [optional]
**displayName** | **String** | Represents a modifiable label to identify this account for user-visible purposes. |  [optional]
**createdTime** | **String** | Represents the time of creation for this account. |  [optional]
**lastModifiedTime** | **String** | Represents the last modification time for this account. |  [optional]
**typeName** | **String** | Represents the Type ID of a supported external account type. The type represented by this field dictates which configuration options must be defined for this account. |  [optional]
**accountConfigs** | [**ApiConfigList**](ApiConfigList.md) |  |  [optional]
