# ApiIcebergReplicationArguments

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**sourceIcebergReplicationService** | [**ApiServiceRef**](ApiServiceRef.md) |  |  [optional]
**policyName** | **String** |  |  [optional]
**includedTableFilters** | [**List&lt;ApiHiveTable&gt;**](ApiHiveTable.md) |  |  [optional]
**excludedTableFilters** | [**List&lt;ApiHiveTable&gt;**](ApiHiveTable.md) |  |  [optional]
**batchSize** | **java.math.BigDecimal** |  |  [optional]
**proxyName** | **String** |  |  [optional]
**exportYarnOptions** | [**IcebergReplicationYarnOptions**](IcebergReplicationYarnOptions.md) |  |  [optional]
**xferYarnOptions** | [**IcebergReplicationYarnOptions**](IcebergReplicationYarnOptions.md) |  |  [optional]
**syncYarnOptions** | [**IcebergReplicationYarnOptions**](IcebergReplicationYarnOptions.md) |  |  [optional]
**shouldReplicateColumnStats** | **Boolean** |  |  [optional]
**atlasReplicationNeeded** | **Boolean** |  | 
**atlasChangeMarker** | **String** |  |  [optional]
**safetyValvesSource** | [**Map&lt;String, IcebergReplicationSafetyValve&gt;**](IcebergReplicationSafetyValve.md) |  |  [optional]
**safetyValvesTarget** | [**Map&lt;String, IcebergReplicationSafetyValve&gt;**](IcebergReplicationSafetyValve.md) |  |  [optional]
**runDistcpOnSource** | **Boolean** |  |  [optional]
**altStagingLocation** | **String** |  |  [optional]
**forceTest** | **Boolean** |  | 
**alternateTargetDataRoot** | **String** |  |  [optional]
**dataFileMappingStrategy** | [**DataFileMappingStrategy**](DataFileMappingStrategy.md) |  |  [optional]
**jvmOptsForExport** | **String** |  |  [optional]
**jvmOptsForXfer** | **String** |  |  [optional]
**jvmOptsForSync** | **String** |  |  [optional]
**locationMapping** | [**List&lt;ApiMapEntry&gt;**](ApiMapEntry.md) |  |  [optional]
