# ApiHBaseReplicationArguments

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**source_h_base_service** | [**ApiServiceRef**](ApiServiceRef.md) |  | [optional] 
**peer_state** | [**HBasePeerState**](HBasePeerState.md) |  | [optional] 
**hbase_peer_id** | **str** | Available since API v52. | [optional] 
**hbase_cluster_key** | **str** |  | [optional] 
**end_point_class_name** | **str** |  | [optional] 
**tables** | [**list[HBaseTableArgs]**](HBaseTableArgs.md) |  | [optional] 
**database** | [**HBaseDatabaseArgs**](HBaseDatabaseArgs.md) |  | [optional] 
**replication_properties** | **dict(str, str)** |  | [optional] 
**source_account** | **str** |  | [optional] 
**source_scheduler_pool** | **str** |  | [optional] 
**num_mappers** | **int** |  | [optional] 
**bandwidth_per_map** | **int** |  | [optional] 
**export_snapshot_user** | **str** |  | [optional] 
**snapshot_scratch_location** | **str** |  | [optional] 
**validate_replication_setup** | **bool** |  | [optional] 
**max_parallel_snapshots** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

