# ApiIcebergReplicationArguments

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**source_iceberg_replication_service** | [**ApiServiceRef**](ApiServiceRef.md) |  | [optional] 
**policy_name** | **str** |  | [optional] 
**included_table_filters** | [**list[ApiHiveTable]**](ApiHiveTable.md) |  | [optional] 
**excluded_table_filters** | [**list[ApiHiveTable]**](ApiHiveTable.md) |  | [optional] 
**batch_size** | **int** |  | [optional] 
**proxy_name** | **str** |  | [optional] 
**export_yarn_options** | [**IcebergReplicationYarnOptions**](IcebergReplicationYarnOptions.md) |  | [optional] 
**xfer_yarn_options** | [**IcebergReplicationYarnOptions**](IcebergReplicationYarnOptions.md) |  | [optional] 
**sync_yarn_options** | [**IcebergReplicationYarnOptions**](IcebergReplicationYarnOptions.md) |  | [optional] 
**should_replicate_column_stats** | **bool** |  | [optional] 
**atlas_replication_needed** | **bool** |  | 
**atlas_change_marker** | **str** |  | [optional] 
**safety_valves_source** | [**dict(str, IcebergReplicationSafetyValve)**](IcebergReplicationSafetyValve.md) |  | [optional] 
**safety_valves_target** | [**dict(str, IcebergReplicationSafetyValve)**](IcebergReplicationSafetyValve.md) |  | [optional] 
**run_distcp_on_source** | **bool** |  | [optional] 
**alt_staging_location** | **str** |  | [optional] 
**force_test** | **bool** |  | 
**alternate_target_data_root** | **str** |  | [optional] 
**data_file_mapping_strategy** | [**DataFileMappingStrategy**](DataFileMappingStrategy.md) |  | [optional] 
**jvm_opts_for_export** | **str** |  | [optional] 
**jvm_opts_for_xfer** | **str** |  | [optional] 
**jvm_opts_for_sync** | **str** |  | [optional] 
**location_mapping** | [**list[ApiMapEntry]**](ApiMapEntry.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

