# ApiReplicationSchedule

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**hdfs_arguments** | [**ApiHdfsReplicationArguments**](ApiHdfsReplicationArguments.md) |  | [optional] 
**hive_arguments** | [**ApiHiveReplicationArguments**](ApiHiveReplicationArguments.md) |  | [optional] 
**hdfs_cloud_arguments** | [**ApiHdfsCloudReplicationArguments**](ApiHdfsCloudReplicationArguments.md) |  | [optional] 
**ozone_replication_arguments** | [**ApiOzoneReplicationArguments**](ApiOzoneReplicationArguments.md) |  | [optional] 
**history** | [**list[ApiReplicationCommand]**](ApiReplicationCommand.md) | List of active and/or finished commands for this schedule. | [optional] 
**active** | **bool** | Read-only field that is true if this schedule is currently active, false if not. Available since API v11. | [optional] 
**hive_cloud_arguments** | [**ApiHiveCloudReplicationArguments**](ApiHiveCloudReplicationArguments.md) |  | [optional] 
**hbase_arguments** | [**ApiHBaseReplicationArguments**](ApiHBaseReplicationArguments.md) |  | [optional] 
**hive3_arguments** | [**ApiHive3ReplicationArguments**](ApiHive3ReplicationArguments.md) |  | [optional] 
**ranger_arguments** | [**ApiRangerReplicationArgs**](ApiRangerReplicationArgs.md) |  | [optional] 
**iceberg_arguments** | [**ApiIcebergReplicationArguments**](ApiIcebergReplicationArguments.md) |  | [optional] 
**atlas_replication_arguments** | [**ApiAtlasReplicationArguments**](ApiAtlasReplicationArguments.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

