# ApiCommand

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **java.math.BigDecimal** | The command ID. |  [optional]
**name** | **String** | The command name. |  [optional]
**startTime** | **String** | The start time. |  [optional]
**endTime** | **String** | The end time, if the command is finished. |  [optional]
**active** | **Boolean** | Whether the command is currently active. |  [optional]
**success** | **Boolean** | If the command is finished, whether it was successful. |  [optional]
**resultMessage** | **String** | If the command is finished, the result message. |  [optional]
**resultDataUrl** | **String** | URL to the command&#x27;s downloadable result data, if any exists. |  [optional]
**clusterRef** | [**ApiClusterRef**](ApiClusterRef.md) |  |  [optional]
**serviceRef** | [**ApiServiceRef**](ApiServiceRef.md) |  |  [optional]
**roleRef** | [**ApiRoleRef**](ApiRoleRef.md) |  |  [optional]
**hostRef** | [**ApiHostRef**](ApiHostRef.md) |  |  [optional]
**parent** | [**ApiCommand**](ApiCommand.md) |  |  [optional]
**children** | [**ApiCommandList**](ApiCommandList.md) |  |  [optional]
**canRetry** | **Boolean** | If the command can be retried. Available since V11 |  [optional]
