# ApiOzoneSnapshotResult

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**processedBucketCount** | **java.math.BigDecimal** | Number of processed paths. |  [optional]
**processedBuckets** | **List&lt;String&gt;** | The list of processed paths.  This is only available in the full view. |  [optional]
**unprocessedBucketCount** | **java.math.BigDecimal** | Number of unprocessed paths. |  [optional]
**unprocessedBuckets** | **List&lt;String&gt;** | The list of unprocessed paths. Note that paths that are currently being processed will also be included in this list.  This is only available in the full view. |  [optional]
**createdSnapshotCount** | **java.math.BigDecimal** | Number of snapshots created. |  [optional]
**createdSnapshots** | [**List&lt;ApiOzoneSnapshotDetails&gt;**](ApiOzoneSnapshotDetails.md) | List of snapshots created. &lt;p/&gt; This is only available in the full view. |  [optional]
**deletedSnapshotCount** | **java.math.BigDecimal** | Number of snapshots deleted. |  [optional]
**deletedSnapshots** | [**List&lt;ApiOzoneSnapshotDetails&gt;**](ApiOzoneSnapshotDetails.md) | List of snapshots deleted.  This is only available in the full view. |  [optional]
**creationErrorCount** | **java.math.BigDecimal** | Number of errors detected when creating snapshots. |  [optional]
**creationErrors** | [**List&lt;ApiOzoneSnapshotError&gt;**](ApiOzoneSnapshotError.md) | List of errors encountered when creating snapshots.  This is only available in the full view. |  [optional]
**deletionErrorCount** | **java.math.BigDecimal** | Number of errors detected when deleting snapshots. |  [optional]
**deletionErrors** | [**List&lt;ApiOzoneSnapshotError&gt;**](ApiOzoneSnapshotError.md) | List of errors encountered when deleting snapshots.  This is only available in the full view. |  [optional]
