# ApiReplicationSchedule

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**hdfsArguments** | [**ApiHdfsReplicationArguments**](ApiHdfsReplicationArguments.md) |  |  [optional]
**hiveArguments** | [**ApiHiveReplicationArguments**](ApiHiveReplicationArguments.md) |  |  [optional]
**hdfsCloudArguments** | [**ApiHdfsCloudReplicationArguments**](ApiHdfsCloudReplicationArguments.md) |  |  [optional]
**ozoneReplicationArguments** | [**ApiOzoneReplicationArguments**](ApiOzoneReplicationArguments.md) |  |  [optional]
**history** | [**List&lt;ApiReplicationCommand&gt;**](ApiReplicationCommand.md) | List of active and/or finished commands for this schedule. |  [optional]
**active** | **Boolean** | Read-only field that is true if this schedule is currently active, false if not. Available since API v11. |  [optional]
**hiveCloudArguments** | [**ApiHiveCloudReplicationArguments**](ApiHiveCloudReplicationArguments.md) |  |  [optional]
**hbaseArguments** | [**ApiHBaseReplicationArguments**](ApiHBaseReplicationArguments.md) |  |  [optional]
**hive3Arguments** | [**ApiHive3ReplicationArguments**](ApiHive3ReplicationArguments.md) |  |  [optional]
**rangerArguments** | [**ApiRangerReplicationArgs**](ApiRangerReplicationArgs.md) |  |  [optional]
**icebergArguments** | [**ApiIcebergReplicationArguments**](ApiIcebergReplicationArguments.md) |  |  [optional]
**atlasReplicationArguments** | [**ApiAtlasReplicationArguments**](ApiAtlasReplicationArguments.md) |  |  [optional]
