# ApiService

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | The name of the service. |  [optional]
**type** | **String** | The type of the service, e.g. HDFS, MAPREDUCE, HBASE. |  [optional]
**clusterRef** | [**ApiClusterRef**](ApiClusterRef.md) |  |  [optional]
**serviceState** | [**ApiServiceState**](ApiServiceState.md) |  |  [optional]
**healthSummary** | [**ApiHealthSummary**](ApiHealthSummary.md) |  |  [optional]
**configStale** | **Boolean** | Readonly. Expresses whether the service configuration is stale. |  [optional]
**configStalenessStatus** | [**ApiConfigStalenessStatus**](ApiConfigStalenessStatus.md) |  |  [optional]
**clientConfigStalenessStatus** | [**ApiConfigStalenessStatus**](ApiConfigStalenessStatus.md) |  |  [optional]
**healthChecks** | [**List&lt;ApiHealthCheck&gt;**](ApiHealthCheck.md) | Readonly. The list of health checks of this service. |  [optional]
**serviceUrl** | **String** | Readonly. Link into the Cloudera Manager web UI for this specific service. |  [optional]
**roleInstancesUrl** | **String** | Readonly. Link into the Cloudera Manager web UI for role instances table for this specific service. Available since API v11. |  [optional]
**maintenanceMode** | **Boolean** | Readonly. Whether the service is in maintenance mode. Available since API v2. |  [optional]
**maintenanceOwners** | [**List&lt;ApiEntityType&gt;**](ApiEntityType.md) | Readonly. The list of objects that trigger this service to be in maintenance mode. Available since API v2. |  [optional]
**config** | [**ApiServiceConfig**](ApiServiceConfig.md) |  |  [optional]
**roles** | [**List&lt;ApiRole&gt;**](ApiRole.md) | The list of service roles. Optional. |  [optional]
**displayName** | **String** | The display name for the service that is shown in the UI. Available since API v2. |  [optional]
**roleConfigGroups** | [**List&lt;ApiRoleConfigGroup&gt;**](ApiRoleConfigGroup.md) | The list of role configuration groups in this service. Optional. Available since API v3. |  [optional]
**replicationSchedules** | [**List&lt;ApiReplicationSchedule&gt;**](ApiReplicationSchedule.md) | The list of replication schedules for this service. Optional. Available since API v6. |  [optional]
**snapshotPolicies** | [**List&lt;ApiSnapshotPolicy&gt;**](ApiSnapshotPolicy.md) | The list of snapshot policies for this service. Optional. Available since API v6. |  [optional]
**entityStatus** | [**ApiEntityStatus**](ApiEntityStatus.md) |  |  [optional]
**tags** | [**List&lt;ApiEntityTag&gt;**](ApiEntityTag.md) | Tags associated with the service. Available since V41. |  [optional]
**serviceVersion** | **String** | Service version (optional) Available since V41. |  [optional]
