# ApiCommand

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** | The command ID. | [optional] 
**name** | **str** | The command name. | [optional] 
**start_time** | **str** | The start time. | [optional] 
**end_time** | **str** | The end time, if the command is finished. | [optional] 
**active** | **bool** | Whether the command is currently active. | [optional] 
**success** | **bool** | If the command is finished, whether it was successful. | [optional] 
**result_message** | **str** | If the command is finished, the result message. | [optional] 
**result_data_url** | **str** | URL to the command&#x27;s downloadable result data, if any exists. | [optional] 
**cluster_ref** | [**ApiClusterRef**](ApiClusterRef.md) |  | [optional] 
**service_ref** | [**ApiServiceRef**](ApiServiceRef.md) |  | [optional] 
**role_ref** | [**ApiRoleRef**](ApiRoleRef.md) |  | [optional] 
**host_ref** | [**ApiHostRef**](ApiHostRef.md) |  | [optional] 
**parent** | [**ApiCommand**](ApiCommand.md) |  | [optional] 
**children** | [**ApiCommandList**](ApiCommandList.md) |  | [optional] 
**can_retry** | **bool** | If the command can be retried. Available since V11 | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

