# ApiExternalAccount

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Represents the intial name of the account; used to uniquely identify this account. | [optional] 
**display_name** | **str** | Represents a modifiable label to identify this account for user-visible purposes. | [optional] 
**created_time** | **str** | Represents the time of creation for this account. | [optional] 
**last_modified_time** | **str** | Represents the last modification time for this account. | [optional] 
**type_name** | **str** | Represents the Type ID of a supported external account type. The type represented by this field dictates which configuration options must be defined for this account. | [optional] 
**account_configs** | [**ApiConfigList**](ApiConfigList.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

