# ApiOzoneSnapshotResult

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**processed_bucket_count** | **int** | Number of processed paths. | [optional] 
**processed_buckets** | **list[str]** | The list of processed paths.  This is only available in the full view. | [optional] 
**unprocessed_bucket_count** | **int** | Number of unprocessed paths. | [optional] 
**unprocessed_buckets** | **list[str]** | The list of unprocessed paths. Note that paths that are currently being processed will also be included in this list.  This is only available in the full view. | [optional] 
**created_snapshot_count** | **int** | Number of snapshots created. | [optional] 
**created_snapshots** | [**list[ApiOzoneSnapshotDetails]**](ApiOzoneSnapshotDetails.md) | List of snapshots created. &lt;p/&gt; This is only available in the full view. | [optional] 
**deleted_snapshot_count** | **int** | Number of snapshots deleted. | [optional] 
**deleted_snapshots** | [**list[ApiOzoneSnapshotDetails]**](ApiOzoneSnapshotDetails.md) | List of snapshots deleted.  This is only available in the full view. | [optional] 
**creation_error_count** | **int** | Number of errors detected when creating snapshots. | [optional] 
**creation_errors** | [**list[ApiOzoneSnapshotError]**](ApiOzoneSnapshotError.md) | List of errors encountered when creating snapshots.  This is only available in the full view. | [optional] 
**deletion_error_count** | **int** | Number of errors detected when deleting snapshots. | [optional] 
**deletion_errors** | [**list[ApiOzoneSnapshotError]**](ApiOzoneSnapshotError.md) | List of errors encountered when deleting snapshots.  This is only available in the full view. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

