# ApiTimeSeriesData

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**timestamp** | **str** | The timestamp for this time series data point. Note that the timestamp reflects coordinated universal time (UTC) and not necessarily the server&#x27;s time zone. The rest API formats the UTC timestamp as an ISO-8061 string. | [optional] 
**value** | **float** | The value of the time series data. | [optional] 
**type** | **str** | The type of the time series data. | [optional] 
**aggregate_statistics** | [**ApiTimeSeriesAggregateStatistics**](ApiTimeSeriesAggregateStatistics.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

